Bug 1028478 - quota : mv operation fails with "Permission Denied" [NEEDINFO]
quota : mv operation fails with "Permission Denied"
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susant Kumar Palai
Depends On:
  Show dependency treegraph
Reported: 2013-11-08 09:38 EST by Saurabh
Modified: 2016-09-17 08:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-09 04:41:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
spalai: needinfo? (saujain)
vbellur: needinfo? (saujain)

Attachments (Terms of Use)

  None (edit)
Description Saurabh 2013-11-08 09:38:56 EST
Description of problem:
filling a separate BZ after discussion with Developer, as this issue was found on only one cluster.

[root@rhslong03 nfs-test-dist-rep1]# mkdir dir6
[root@rhslong03 nfs-test-dist-rep1]# chwon qa1:qa dir6
bash: chwon: command not found
[root@rhslong03 nfs-test-dist-rep1]# chown qa1:qa dir6
[root@rhslong03 nfs-test-dist-rep1]# ls -l dir6
total 0
[root@rhslong03 nfs-test-dist-rep1]# ls -ld dir6
drwxr-xr-x. 2 qa1 qa 36 Nov  8  2013 dir6
[root@rhslong03 nfs-test-dist-rep1]# 
[root@rhslong03 nfs-test-dist-rep1]# su qa1
[qa1@rhslong03 nfs-test-dist-rep1]$ mv dir6 dir6-rename

Version-Release number of selected component (if applicable):

How reproducible:
happenining only on one cluster, not on other

Additional Info:
developer is aware about the issue, as per him the issue may be happening  because of some acl permission
Comment 2 Susant Kumar Palai 2014-01-06 00:00:19 EST
For doing a rename operation on a file or directory, the user should have write permission on file's parent. It should be consistent.

Can you verify the bug on latest build ?
Comment 3 Vijay Bellur 2015-01-09 01:47:34 EST
Doesn't seem like a quota issue. Does this issue still happen? If not, can we please close this bug?
Comment 4 Vijaikumar Mallikarjuna 2015-01-09 04:41:37 EST
Rename failing with "Permission Denied" is the expected behavior if the users doesn't have write permission on the file/dir's parent directory.

Closing as not a bug. Please re-open the bug if file and its parent both has the write permission to the user

Note You need to log in before you can comment on or make changes to this bug.